package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 商品分类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("goods_category")
public class GoodsCategory extends Model<GoodsCategory> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 分类名称
     */
    @TableField("name_")
    private String name;
    /**
     * 产品展示的图片地址
     */
    @TableField("img_")
    private String img;
    /**
     * 父节点编号
     */
    @TableField("parent_id_")
    private Integer parentId;
    /**
     * 顺序编号
     */
    @TableField("order_no_")
    private Integer orderNo;
    /**
     * 是否删除1是，0否
     */
    @TableField("status_")
    private Boolean status;
    /**
     * 描述
     */
    @TableField("desc_")
    private String desc;
    /**
     * 最后修改时间
     */
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public GoodsCategory setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public GoodsCategory setName(String name) {
        this.name = name;
        return this;
    }

    public String getImg() {
        return img;
    }

    public GoodsCategory setImg(String img) {
        this.img = img;
        return this;
    }

    public Integer getParentId() {
        return parentId;
    }

    public GoodsCategory setParentId(Integer parentId) {
        this.parentId = parentId;
        return this;
    }

    public Integer getOrderNo() {
        return orderNo;
    }

    public GoodsCategory setOrderNo(Integer orderNo) {
        this.orderNo = orderNo;
        return this;
    }

    public Boolean getStatus() {
        return status;
    }

    public GoodsCategory setStatus(Boolean status) {
        this.status = status;
        return this;
    }

    public String getDesc() {
        return desc;
    }

    public GoodsCategory setDesc(String desc) {
        this.desc = desc;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public GoodsCategory setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public GoodsCategory setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "GoodsCategory{" +
        ", id=" + id +
        ", name=" + name +
        ", img=" + img +
        ", parentId=" + parentId +
        ", orderNo=" + orderNo +
        ", status=" + status +
        ", desc=" + desc +
        ", updateTime=" + updateTime +
        ", createTime=" + createTime +
        "}";
    }
}
